Skip to content

AnalysisGlobal⁠

Perform various operations for Symitar parameters.

Operations⁠

getAnalysisGlobalSelectFields⁠

POST

Execute the persistent ParameterService getAnalysisGlobalSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getAnalysisGlobalSelectFields
POST /nexum/627/persistent/parameter/getAnalysisGlobalSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllAnalysisGlobalFields": true,
    "AnalysisGlobalFields": {
      "AnalyzedSharePromptSetting": true,
      "Counter": [
        0
      ],
      "InvestableBalanceCalcType": true,
      "NonAnlyzdShrPromptSetting": true,
      "OnUsCountSetting": true,
      "ReserveCalculationType": true,
      "ReserveRate": true,
      "UsePromptSettings": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateAnalysisGlobalByID⁠

POST

Execute the persistent ParameterService updateAnalysisGlobalByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateAnalysisGlobalByID
POST /nexum/627/persistent/parameter/updateAnalysisGlobalByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "AnalysisGlobalFields": {
    "AnalyzedSharePromptSetting": 0,
    "Counter": [
      {
        "EntryId": 0,
        "Counter": "string"
      }
    ],
    "InvestableBalanceCalcType": 0,
    "NonAnlyzdShrPromptSetting": 0,
    "OnUsCountSetting": 0,
    "ReserveCalculationType": 0,
    "ReserveRate": 0,
    "UsePromptSettings": true
  },
  "nxAttributes": {
    "customFields": {}
  }
}